Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » TMF (Xtext) » From 2.1 to 2.3
From 2.1 to 2.3 [message #899740] Thu, 02 August 2012 03:35 Go to next message
Goran M. is currently offline Goran M.
Messages: 10
Registered: April 2012
Junior Member
Hi,

I recently changed to v2.3 and now I'm getting the following error when executing the editor:

You are using a deprecated implementation of IjvmModelInferrer. Please change the type of the acceptor in your 'infer' method. It should be 'org.eclipse.xtext.xbase.jvmmodel.IJvmDeclaredTypeAcceptor'.This backward compatibility mode will be removed in the next release (2.3 June 2012).


My ModelInferrer is the generated one and I did not modify it at all. So I get
the "wrong" code generated.

What can I do to get rid of this error/warning?

Regards
Goran
Re: From 2.1 to 2.3 [message #899744 is a reply to message #899740] Thu, 02 August 2012 03:42 Go to previous messageGo to next message
Christian Dietrich is currently offline Christian Dietrich
Messages: 6205
Registered: July 2009
Senior Member
Hi it was generated once and will not be overriden

--
Need training, onsite consulting or any other kind of help for Xtext?
Go visit http://xtext.itemis.com or send a mail to xtext at itemis dot de
Re: From 2.1 to 2.3 [message #899777 is a reply to message #899740] Thu, 02 August 2012 06:21 Go to previous message
Karsten Thoms is currently offline Karsten Thoms
Messages: 353
Registered: July 2009
Location: Dortmund
Senior Member

Reimplement it. As reference take the one from the Domainmodel example.

Need professional support for Xtext, Xpand, EMF?
Go to: http://xtext.itemis.com
Twitter : @kthoms
Blog : www.karsten-thoms.de
Previous Topic:quick fix (ISemanticModification) for file with errors?
Next Topic:opening a xtext editor without a file
Goto Forum:
  


Current Time: Thu Aug 21 14:04:11 EDT 2014

Powered by FUDForum. Page generated in 0.01431 seconds